org.eclipse.mat.inspections

## Class FindLeaksQuery.AccumulationPointOfGroupOfObject

- java.lang.Object
- - org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint
  - - org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPointOfGroupOfObject

Enclosing class:
  FindLeaksQuery

    public static class FindLeaksQuery.AccumulationPointOfGroupOfObject
    extends FindLeaksQuery.AccumulationPoint

### Constructor Summary

Constructors
Constructor and Description
`AccumulationPointOfGroupOfObject(IObject object, int[] commonPath, IMultiplePathsFromGCRootsComputer pathsComputer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getCommonPath()`
`IMultiplePathsFromGCRootsComputer` `getPathsComputer()`

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint

`getObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccumulationPointOfGroupOfObject

    public AccumulationPointOfGroupOfObject(IObject object,
                                            int[] commonPath,
                                            IMultiplePathsFromGCRootsComputer pathsComputer)

### Method Detail

#### getCommonPath

    public int[] getCommonPath()

#### getPathsComputer

    public IMultiplePathsFromGCRootsComputer getPathsComputer()